/*
    AboutCmd.h - license conditions

    Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef ABOUTCMD_H
#define ABOUTCMD_H

#include "NoUndoCmd.h"


class TextEdit;


class AboutCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();

	public:
		AboutCmd ( const char *, int active = TRUE );
		virtual ~AboutCmd();
		virtual const char *const className() { return ( "AboutCmd" ); }

	private:
		TextEdit *_edit;
		Boolean _popupRealised;
		static void okCallback ( XtPointer, char * );
		static void cancelCallback ( XtPointer );
		void ok ( void * );
};

#endif
