/*
	MixwaveUtils.h - Mixwave utility routines

	Will Eighteen, 2001: will@opaline.demon.co.uk
*/

#ifndef MIXWAVEUTILS_H
#define MIXWAVEUTILS_H

#define BUFSIZE 1024


class MixwaveUtils
{
	public:
		MixwaveUtils();
		~MixwaveUtils();
		char * fileFromPath ( char * );
		char * sampleNumToTimeString ( long, long, unsigned int, unsigned int );
		long timeStringToSampleNum ( char *, long );
		int checkTimeStringFormat ( char * );
		void setBusyCursor();
		void setNormalCursor();
		int sysCall ( const char * );
		char _fileName[BUFSIZE];
		char _timeString[64];
};

extern char **environ;

#endif
