// QuestionTestWindow.cc

#include "QuestionTestWindow.h"
#include <QuestionDialogManager.h>
#include <Xm/PushB.h>

#include <stdio.h> // debug

void postDialogCallback ( Widget, XtPointer, XtPointer );
void okCallback ( void * );
void cancelCallback ( void *data );

Widget QuestionTestWindow::createWorkArea ( Widget parent )
{
	Widget button = XtCreateManagedWidget ( "push_to_test",
											xmPushButtonWidgetClass,
											parent, NULL, 0 );

	XtAddCallback ( button, XmNactivateCallback, postDialogCallback, NULL );
	return ( button );
}

void postDialogCallback ( Widget, XtPointer, XtPointer )
{
	questionDialogManager->post ( "Answer the question!", ( void * ) NULL,
								 okCallback, cancelCallback );
}

void okCallback ( void * )
{
	cout << "Ok\n" << flush;
}

void cancelCallback ( void * )
{
	cout << "Cancel\n" << flush;
}

